Show / Hide Table of Contents

# Class OpenIddictEntityFrameworkToken

Represents an OpenIddict token.

##### Inheritance

System.Object
OpenIddictEntityFrameworkToken<System.String, OpenIddictEntityFrameworkApplication, OpenIddictEntityFrameworkAuthorization>
OpenIddictEntityFrameworkToken

##### Inherited Members

OpenIddictEntityFrameworkToken<String, OpenIddictEntityFrameworkApplication, OpenIddictEntityFrameworkAuthorization>.Application
OpenIddictEntityFrameworkToken<String, OpenIddictEntityFrameworkApplication, OpenIddictEntityFrameworkAuthorization>.Authorization
OpenIddictEntityFrameworkToken<String, OpenIddictEntityFrameworkApplication, OpenIddictEntityFrameworkAuthorization>.ConcurrencyToken
OpenIddictEntityFrameworkToken<String, OpenIddictEntityFrameworkApplication, OpenIddictEntityFrameworkAuthorization>.CreationDate
OpenIddictEntityFrameworkToken<String, OpenIddictEntityFrameworkApplication, OpenIddictEntityFrameworkAuthorization>.ExpirationDate
OpenIddictEntityFrameworkToken<String, OpenIddictEntityFrameworkApplication, OpenIddictEntityFrameworkAuthorization>.Id
OpenIddictEntityFrameworkToken<String, OpenIddictEntityFrameworkApplication, OpenIddictEntityFrameworkAuthorization>.Payload
OpenIddictEntityFrameworkToken<String, OpenIddictEntityFrameworkApplication, OpenIddictEntityFrameworkAuthorization>.Properties
OpenIddictEntityFrameworkToken<String, OpenIddictEntityFrameworkApplication, OpenIddictEntityFrameworkAuthorization>.RedemptionDate
OpenIddictEntityFrameworkToken<String, OpenIddictEntityFrameworkApplication, OpenIddictEntityFrameworkAuthorization>.ReferenceId
OpenIddictEntityFrameworkToken<String, OpenIddictEntityFrameworkApplication, OpenIddictEntityFrameworkAuthorization>.Status
OpenIddictEntityFrameworkToken<String, OpenIddictEntityFrameworkApplication, OpenIddictEntityFrameworkAuthorization>.Subject
OpenIddictEntityFrameworkToken<String, OpenIddictEntityFrameworkApplication, OpenIddictEntityFrameworkAuthorization>.Type
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.EntityFramework.Models

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictEntityFrameworkToken : OpenIddictEntityFrameworkToken<string, OpenIddictEntityFrameworkApplication, OpenIddictEntityFrameworkAuthorization>

### Constructors

#### OpenIddictEntityFrameworkToken()

##### Declaration

    public OpenIddictEntityFrameworkToken()